aboutsummaryrefslogtreecommitdiff
path: root/alt
diff options
context:
space:
mode:
Diffstat (limited to 'alt')
-rwxr-xr-xalt/cpt-exec4
-rwxr-xr-xalt/cpt-getchoice4
2 files changed, 4 insertions, 4 deletions
diff --git a/alt/cpt-exec b/alt/cpt-exec
index d2b3217..63eaed3 100755
--- a/alt/cpt-exec
+++ b/alt/cpt-exec
@@ -14,10 +14,10 @@ pkg=$1
[ "${2##/*}" ] && command=">usr>bin>$2" ||
command="$(printf '%s' "$2" | sed 's#/#>#g')"
-[ -h "${file:=/var/db/kiss/choices/$pkg$command}" ] && {
+[ -h "${file:=/var/db/cpt/choices/$pkg$command}" ] && {
printf 'ERROR: %s\n' "$file is a symlink"
exit 1
}
shift 2
-exec "/var/db/kiss/choices/$pkg$command" "$@"
+exec "/var/db/cpt/choices/$pkg$command" "$@"
diff --git a/alt/cpt-getchoice b/alt/cpt-getchoice
index 75521b4..3b53c4b 100755
--- a/alt/cpt-getchoice
+++ b/alt/cpt-getchoice
@@ -5,10 +5,10 @@ case "$1" in ''|--help|-h)
printf '\033[1;33m-> \033[m%s\n' "usage: ${0##*/} [pkg] [command]"
exit 0; esac
-~/proj/carbslinux/kiss/kiss l "$1" >/dev/null
+cpt-list "$1" >/dev/null
[ "$2" ]
-file="/var/db/kiss/choices/$1$(printf '%s' "$2" | sed 's#/#>#g')"
+file="/var/db/cpt/choices/$1$(printf '%s' "$2" | sed 's#/#>#g')"
[ -f "$file" ] || {
printf '\033[1;33m!> \033[1;36m%s \033[m%s\n' "$1" "choice '$2' not found" >&2
exit 1